@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Grape+Nuts&family=Lato:ital@1&family=Macondo&family=Merienda:wght@700&family=Poppins:wght@600&display=swap');
*
{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

body 
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #000;
}

h2
{
    position: relative;
    margin: 20px 0 0;
    font-size: 4.6em;
    font-weight: 900;
    color: #fff;
    z-index: 1;
    overflow: hidden;
}

h2:before
{
    content: '';
    position: absolute;
    left: 120%;
    position: 120%;
    height: 100%;
    background: linear-gradient(90deg, transparent 0%, #000 5%, #000 100%);
    animation: animate 5.5s linear forwards;
    animation-delay: 2s;
}

@keyframes animate 
{
    0% 
    {
        left: 110%
    }
    100% 
    {
        left: -20%;
    }
}

h2 span 
{
    color: #ff022c;
}

video
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
    pointer-events: none;
    mix-blend-mode: screen;
}